Index: /palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_3d.f90	(revision 1319)
+++ /palm/trunk/SOURCE/data_output_3d.f90	(revision 1320)
@@ -20,5 +20,11 @@
 ! Current revisions:
 ! ------------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -59,60 +65,4 @@
 ! Bugfix: missing calculation of ql_vp added
 !
-! 790 2011-11-29 03:11:20Z raasch
-! bugfix: calculation of 'pr' must depend on the particle weighting factor,
-! nzt+1 replaced by nz_do3d for 'pr'
-!
-! 771 2011-10-27 10:56:21Z heinze
-! +lpt
-!
-! 759 2011-09-15 13:58:31Z raasch
-! Splitting of parallel I/O
-!
-! 727 2011-04-20 20:05:25Z suehring
-! Exchange ghost layers also for p_av.
-!
-! 725 2011-04-11 09:37:01Z suehring
-! Exchange ghost layers for p regardless of used pressure solver (except SOR).
-!
-! 691 2011-03-04 08:45:30Z maronga
-! Replaced simulated_time by time_since_reference_point
-!
-! 673 2011-01-18 16:19:48Z suehring 
-! When using Multigrid or SOR solver an additional CALL exchange_horiz is 
-! is needed for pressure output.
-!
-! 667 2010-12-23 12:06:00Z suehring/gryschka
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng in loops and 
-! allocation of arrays.  Calls of exchange_horiz are modified.
-! Skip-value skip_do_avs changed to a dynamic adaption of ghost points.
-!
-! 646 2010-12-15 13:03:52Z raasch
-! bugfix: missing define statements for netcdf added
-!
-! 493 2010-03-01 08:30:24Z raasch
-! netCDF4 support (parallel output)
-!
-! 355 2009-07-17 01:03:01Z letzel
-! simulated_time in netCDF output replaced by time_since_reference_point.
-! Output of netCDF messages with aid of message handling routine.
-! Output of messages replaced by message handling routine.
-! Bugfix: to_be_resorted => s_av for time-averaged scalars
-!
-! 96 2007-06-04 08:07:41Z raasch
-! Output of density and salinity
-!
-! 75 2007-03-22 09:54:05Z raasch
-! 2nd+3rd argument removed from exchange horiz
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.3  2006/06/02 15:18:59  raasch
-! +argument "found", -argument grid in call of routine user_data_output_3d
-!
-! Revision 1.2  2006/02/23 10:23:07  raasch
-! Former subroutine plot_3d renamed data_output_3d, pl.. renamed do..,
-! .._anz renamed .._n,
-! output extended to (almost) all quantities, output of user-defined quantities
-!
 ! Revision 1.1  1997/09/03 06:29:36  raasch
 ! Initial revision
@@ -124,28 +74,60 @@
 !------------------------------------------------------------------------------!
 
-    USE arrays_3d
+    USE arrays_3d,                                                             &
+        ONLY:  e, nr, p, pt, q, qc, ql, ql_c, ql_v, qr, rho, sa, tend, u, v,   &
+               vpt, w
+        
     USE averaging
-    USE cloud_parameters
-    USE control_parameters
-    USE cpulog
-    USE indices
+        
+    USE cloud_parameters,                                                      &
+        ONLY:  l_d_cp, prr, pt_d_t
+        
+    USE control_parameters,                                                    &
+        ONLY:  avs_data_file,avs_output, cloud_physics, do3d, do3d_avs_n,      &
+               do3d_compress, do3d_no, do3d_time_count, io_blocks, io_group,   &
+               message_string, netcdf_output, netcdf_data_format, ntdim_3d,    &
+               nz_do3d, plot_3d_precision, psolver, simulated_time,            &
+               simulated_time_chr, skip_do_avs, time_since_reference_point
+        
+    USE cpulog,                                                                &
+        ONLY:  log_point, cpu_log
+        
+    USE indices,                                                               &
+        ONLY:  nbgp, nx, nxl, nxlg, nxr, nxrg, ny, nyn, nyng, nys, nysg, nzt,  &
+               nzb
+        
+    USE kinds
+    
     USE netcdf_control
-    USE particle_attributes
+        
+    USE particle_attributes,                                                   &
+        ONLY:  particles, prt_count, prt_start_index
+        
     USE pegrid
-    USE precision_kind
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=9) ::  simulated_time_mod
-
-    INTEGER           ::  av, i, if, j, k, n, pos, prec, psi
-
-    LOGICAL           ::  found, resorted
-
-    REAL              ::  mean_r, s_r3, s_r4
-
-    REAL(spk), DIMENSION(:,:,:), ALLOCATABLE  ::  local_pf
-
-    REAL, DIMENSION(:,:,:), POINTER ::  to_be_resorted
+    CHARACTER (LEN=9) ::  simulated_time_mod  !: 
+
+    INTEGER(iwp) ::  av        !: 
+    INTEGER(iwp) ::  i         !: 
+    INTEGER(iwp) ::  if        !: 
+    INTEGER(iwp) ::  j         !: 
+    INTEGER(iwp) ::  k         !: 
+    INTEGER(iwp) ::  n         !: 
+    INTEGER(iwp) ::  pos       !: 
+    INTEGER(iwp) ::  prec      !: 
+    INTEGER(iwp) ::  psi       !: 
+
+    LOGICAL      ::  found     !: 
+    LOGICAL      ::  resorted  !: 
+
+    REAL(wp)     ::  mean_r    !: 
+    REAL(wp)     ::  s_r3      !: 
+    REAL(wp)     ::  s_r4      !: 
+
+    REAL(sp), DIMENSION(:,:,:), ALLOCATABLE ::  local_pf  !:
+
+    REAL(wp), DIMENSION(:,:,:), POINTER ::  to_be_resorted  !: 
 
 !
@@ -202,7 +184,7 @@
     IF ( myid == 0 )  THEN
        IF ( netcdf_output )  THEN
-          nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_time_3d(av), &
-                                  (/ time_since_reference_point /),  &
-                                  start = (/ do3d_time_count(av) /), &
+          nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_time_3d(av),           &
+                                  (/ time_since_reference_point /),            &
+                                  start = (/ do3d_time_count(av) /),           &
                                   count = (/ 1 /) )
           CALL handle_netcdf_error( 'data_output_3d', 376 )
@@ -288,7 +270,7 @@
                          s_r4 = 0.0
                          DO  n = psi, psi+prt_count(k,j,i)-1
-                         s_r3 = s_r3 + particles(n)%radius**3 * &
+                         s_r3 = s_r3 + particles(n)%radius**3 *                &
                                        particles(n)%weight_factor
-                         s_r4 = s_r4 + particles(n)%radius**4 * &
+                         s_r4 = s_r4 + particles(n)%radius**4 *                &
                                        particles(n)%weight_factor
                          ENDDO
@@ -346,6 +328,6 @@
                       DO  j = nysg, nyng
                          DO  k = nzb, nz_do3d
-                            local_pf(i,j,k) = pt(k,j,i) + l_d_cp *    &
-                                                          pt_d_t(k) * &
+                            local_pf(i,j,k) = pt(k,j,i) + l_d_cp *             &
+                                                          pt_d_t(k) *          &
                                                           ql(k,j,i)
                          ENDDO
@@ -400,6 +382,6 @@
                          psi = prt_start_index(k,j,i)
                          DO  n = psi, psi+prt_count(k,j,i)-1
-                            tend(k,j,i) = tend(k,j,i) + &
-                                          particles(n)%weight_factor / &
+                            tend(k,j,i) = tend(k,j,i) +                        &
+                                          particles(n)%weight_factor /         &
                                           prt_count(k,j,i)
                          ENDDO
@@ -494,10 +476,10 @@
 !
 !--          User defined quantity
-             CALL user_data_output_3d( av, do3d(av,if), found, local_pf, &
+             CALL user_data_output_3d( av, do3d(av,if), found, local_pf,       &
                                        nz_do3d )
              resorted = .TRUE.
 
              IF ( .NOT. found )  THEN
-                message_string =  'no output available for: ' //   &
+                message_string =  'no output available for: ' //               &
                                   TRIM( do3d(av,if) )
                 CALL message( 'data_output_3d', 'PA0182', 0, 0, 0, 6, 0 )
@@ -532,10 +514,10 @@
 
           IF ( av == 0 )  THEN
-             WRITE ( 33, 3300 )  do3d_avs_n, TRIM( avs_data_file ), &
-                                 skip_do_avs, TRIM( do3d(av,if) ), &
+             WRITE ( 33, 3300 )  do3d_avs_n, TRIM( avs_data_file ),            &
+                                 skip_do_avs, TRIM( do3d(av,if) ),             &
                                  TRIM( simulated_time_mod )
           ELSE
-             WRITE ( 33, 3300 )  do3d_avs_n, TRIM( avs_data_file ), &
-                                 skip_do_avs, TRIM( do3d(av,if) ) // &
+             WRITE ( 33, 3300 )  do3d_avs_n, TRIM( avs_data_file ),            &
+                                 skip_do_avs, TRIM( do3d(av,if) ) //           &
                                  ' averaged', TRIM( simulated_time_mod )
           ENDIF
@@ -543,5 +525,5 @@
 !--       Determine the Skip-value for the next array. Record end and start 
 !--       require 4 byte each.
-          skip_do_avs = skip_do_avs + ( ( ( nx+2*nbgp ) * ( ny+2*nbgp ) * &
+          skip_do_avs = skip_do_avs + ( ( ( nx+2*nbgp ) * ( ny+2*nbgp ) *      &
                                           ( nz_do3d+1 ) ) * 4 + 8 )
        ENDIF
@@ -553,5 +535,5 @@
 !--       Compression, output of compression information on FLD-file and output
 !--       of compressed data.
-          CALL write_compressed( local_pf, 30, 33, myid, nxl, nxr, nyn, nys, &
+          CALL write_compressed( local_pf, 30, 33, myid, nxl, nxr, nyn, nys,   &
                                  nzb, nz_do3d, prec, nbgp )
        ELSE
@@ -586,22 +568,22 @@
 !--             boundaries of the total domain.
                 IF ( nxr == nx  .AND.  nyn /= ny )  THEN
-                   nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_do3d(av,if), &
-                                     local_pf(nxl:nxr+1,nys:nyn,nzb:nz_do3d), &
-                      start = (/ nxl+1, nys+1, nzb+1, do3d_time_count(av) /), &
+                   nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_do3d(av,if),  &
+                                     local_pf(nxl:nxr+1,nys:nyn,nzb:nz_do3d),  &
+                      start = (/ nxl+1, nys+1, nzb+1, do3d_time_count(av) /),  &
                       count = (/ nxr-nxl+2, nyn-nys+1, nz_do3d-nzb+1, 1 /) )
                 ELSEIF ( nxr /= nx  .AND.  nyn == ny )  THEN
-                   nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_do3d(av,if), &
-                                     local_pf(nxl:nxr,nys:nyn+1,nzb:nz_do3d), &
-                      start = (/ nxl+1, nys+1, nzb+1, do3d_time_count(av) /), &
+                   nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_do3d(av,if),  &
+                                     local_pf(nxl:nxr,nys:nyn+1,nzb:nz_do3d),  &
+                      start = (/ nxl+1, nys+1, nzb+1, do3d_time_count(av) /),  &
                       count = (/ nxr-nxl+1, nyn-nys+2, nz_do3d-nzb+1, 1 /) )
                 ELSEIF ( nxr == nx  .AND.  nyn == ny )  THEN
-                   nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_do3d(av,if), &
-                                   local_pf(nxl:nxr+1,nys:nyn+1,nzb:nz_do3d), &
-                      start = (/ nxl+1, nys+1, nzb+1, do3d_time_count(av) /), &
+                   nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_do3d(av,if),  &
+                                   local_pf(nxl:nxr+1,nys:nyn+1,nzb:nz_do3d),  &
+                      start = (/ nxl+1, nys+1, nzb+1, do3d_time_count(av) /),  &
                       count = (/ nxr-nxl+2, nyn-nys+2, nz_do3d-nzb+1, 1 /) )
                 ELSE
-                   nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_do3d(av,if), &
-                                       local_pf(nxl:nxr,nys:nyn,nzb:nz_do3d), &
-                      start = (/ nxl+1, nys+1, nzb+1, do3d_time_count(av) /), &
+                   nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_do3d(av,if),  &
+                                       local_pf(nxl:nxr,nys:nyn,nzb:nz_do3d),  &
+                      start = (/ nxl+1, nys+1, nzb+1, do3d_time_count(av) /),  &
                       count = (/ nxr-nxl+1, nyn-nys+1, nz_do3d-nzb+1, 1 /) )
                 ENDIF
@@ -617,7 +599,7 @@
           IF ( netcdf_output )  THEN
 
-             nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_do3d(av,if),    &
-                               local_pf(nxl:nxr+1,nys:nyn+1,nzb:nz_do3d),  &
-                               start = (/ 1, 1, 1, do3d_time_count(av) /), &
+             nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_do3d(av,if),        &
+                               local_pf(nxl:nxr+1,nys:nyn+1,nzb:nz_do3d),      &
+                               start = (/ 1, 1, 1, do3d_time_count(av) /),     &
                                count = (/ nx+2, ny+2, nz_do3d-nzb+1, 1 /) )
              CALL handle_netcdf_error( 'data_output_3d', 446 )
@@ -641,5 +623,5 @@
 !
 !-- Formats.
-3300 FORMAT ('variable ',I4,'  file=',A,'  filetype=unformatted  skip=',I12/ &
+3300 FORMAT ('variable ',I4,'  file=',A,'  filetype=unformatted  skip=',I12/   &
              'label = ',A,A)
 
Index: /palm/trunk/SOURCE/data_output_dvrp.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_dvrp.f90	(revision 1319)
+++ /palm/trunk/SOURCE/data_output_dvrp.f90	(revision 1320)
@@ -1,2 +1,4 @@
+ MODULE dvrp_color
+
 !--------------------------------------------------------------------------------!
 ! This file is part of PALM.
@@ -18,5 +20,11 @@
 ! Current revisions:
 ! -----------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -32,32 +40,4 @@
 ! 828 2012-02-21 12:00:36Z raasch
 ! particle feature color renamed class
-!
-! 287 2009-04-09 08:59:36Z raasch
-! Clipping of dvr-output implemented, using a default colourtable for
-! particles,
-! output of messages replaced by message handling routine.
-!
-! 210 2008-11-06 08:54:02Z raasch
-! DVRP arguments changed to single precision, mode pathlines added
-!
-! 130 2007-11-13 14:08:40Z letzel
-! allow two instead of one digit to specify isosurface and slicer variables
-! for unknown variables (CASE DEFAULT) call new subroutine 
-! user_data_output_dvrp
-!
-! 82 2007-04-16 15:40:52Z raasch
-! Preprocessor strings for different linux clusters changed to "lc",
-! routine local_flush is used for buffer flushing
-!
-! 75 2007-03-22 09:54:05Z raasch
-! Particles-package is now part of the default code,
-! moisture renamed humidity
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.13  2006/02/23 10:25:12  raasch
-! Former routine plot_dvrp renamed data_output_dvrp,
-! Only a fraction of the particles may have a tail,
-! pl.. replaced by do.., %size renamed %dvrp_psize
 !
 ! Revision 1.1  2000/04/27 06:27:17  raasch
@@ -70,7 +50,7 @@
 !------------------------------------------------------------------------------!
 
- MODULE dvrp_color
-
     USE dvrp_variables
+    
+    USE kinds
 
     IMPLICIT NONE
@@ -80,16 +60,16 @@
     SUBROUTINE color_dvrp( value, color )
 
-       REAL, INTENT(IN)  ::  value
-       REAL, INTENT(OUT) ::  color(4)
-
-       REAL              ::  scale
-
-       scale = ( value - slicer_range_limits_dvrp(1,islice_dvrp) ) / &
-               ( slicer_range_limits_dvrp(2,islice_dvrp) -           &
+       REAL(wp), INTENT(IN)  ::  value    !: 
+       REAL(wp), INTENT(OUT) ::  color(4) !: 
+
+       REAL(wp)              ::  scale    !: 
+
+       scale = ( value - slicer_range_limits_dvrp(1,islice_dvrp) ) /           &
+               ( slicer_range_limits_dvrp(2,islice_dvrp) -                     &
                  slicer_range_limits_dvrp(1,islice_dvrp) )
 
        scale = MODULO( 180.0 + 180.0 * scale, 360.0 )
 
-       color = (/ scale, 0.5, 1.0, 0.0 /)
+       color = (/ scale, 0.5_wp, 1.0_wp, 0.0_wp /)
 
     END SUBROUTINE color_dvrp
@@ -102,33 +82,90 @@
 #if defined( __dvrp_graphics )
 
-    USE arrays_3d
-    USE cloud_parameters
-    USE constants
-    USE control_parameters
-    USE cpulog
+    USE arrays_3d,                                                             &
+        ONLY:  p, pt, q, ql, ts, u, us, v, w, zu
+        
+    USE cloud_parameters,                                                      &
+        ONLY:  l_d_cp, pt_d_t
+        
+    USE constants,                                                             &
+        ONLY:  pi
+        
+    USE control_parameters,                                                    &
+        ONLY:  cloud_droplets, cloud_physics, do2d, do3d, humidity, ibc_uv_b,  &
+               message_string, nz_do3d, passive_scalar, simulated_time,        &
+               threshold
+        
+    USE cpulog,                                                                &
+        ONLY:  log_point, log_point_s, cpu_log
+        
     USE DVRP
+    
     USE dvrp_color
+        
     USE dvrp_variables
-    USE grid_variables
-    USE indices
-    USE particle_attributes
+        
+    USE grid_variables,                                                        &
+        ONLY:  dx, dy
+        
+    USE indices,                                                               &
+        ONLY:  nxl, nxr, nyn, nys, nzb
+        
+    USE kinds
+    
+    USE particle_attributes,                                                   &
+        ONLY:  maximum_number_of_tailpoints, number_of_particles,              &
+               number_of_tails, particle_advection, particle_advection_start,  &
+               particle_tail_coordinates, particles, uniform_particles,        &
+               use_particle_tails
+        
     USE pegrid
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=2) ::  section_chr
-    CHARACTER (LEN=6) ::  output_variable
-    INTEGER ::  c_mode, c_size_x, c_size_y, c_size_z, dvrp_nop, dvrp_not,     &
-                gradient_normals, i, ip, j, jp, k, l, m, n, n_isosurface,     &
-                n_slicer, nn, section_mode, vn
-    INTEGER, DIMENSION(:), ALLOCATABLE ::  p_c, p_t
-
-    LOGICAL, DIMENSION(:), ALLOCATABLE ::  dvrp_mask
-
-    REAL(4) ::  slicer_position, tmp_alpha, tmp_alpha_w, tmp_b, tmp_c_alpha, &
-                tmp_g, tmp_norm, tmp_pos, tmp_r, tmp_t, tmp_th
-    REAL(4), DIMENSION(:),     ALLOCATABLE   ::  psize, p_x, p_y, p_z
-    REAL(4), DIMENSION(:,:,:), ALLOCATABLE   ::  local_pf
-    REAL(4), DIMENSION(:,:,:,:), ALLOCATABLE ::  local_pfi
+    CHARACTER (LEN=2) ::  section_chr      !: 
+    CHARACTER (LEN=6) ::  output_variable  !: 
+    
+    INTEGER(iwp) ::  c_mode           !:  
+    INTEGER(iwp) ::  c_size_x         !: 
+    INTEGER(iwp) ::  c_size_y         !: 
+    INTEGER(iwp) ::  c_size_z         !: 
+    INTEGER(iwp) ::  dvrp_nop         !: 
+    INTEGER(iwp) ::  dvrp_not         !: 
+    INTEGER(iwp) ::  gradient_normals !: 
+    INTEGER(iwp) ::  i                !: 
+    INTEGER(iwp) ::  ip               !: 
+    INTEGER(iwp) ::  j                !: 
+    INTEGER(iwp) ::  jp               !: 
+    INTEGER(iwp) ::  k                !: 
+    INTEGER(iwp) ::  l                !: 
+    INTEGER(iwp) ::  m                !: 
+    INTEGER(iwp) ::  n                !: 
+    INTEGER(iwp) ::  n_isosurface     !: 
+    INTEGER(iwp) ::  n_slicer         !: 
+    INTEGER(iwp) ::  nn               !: 
+    INTEGER(iwp) ::  section_mode     !: 
+    INTEGER(iwp) ::  vn               !: 
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  p_c  !: 
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  p_t  !: 
+
+    LOGICAL, DIMENSION(:), ALLOCATABLE ::  dvrp_mask  !: 
+
+    REAL(sp) ::  slicer_position  !: 
+    REAL(sp) ::  tmp_alpha        !: 
+    REAL(sp) ::  tmp_alpha_w      !: 
+    REAL(sp) ::  tmp_b            !: 
+    REAL(sp) ::  tmp_c_alpha      !: 
+    REAL(sp) ::  tmp_g            !: 
+    REAL(sp) ::  tmp_norm         !: 
+    REAL(sp) ::  tmp_pos          !: 
+    REAL(sp) ::  tmp_r            !: 
+    REAL(sp) ::  tmp_t            !: 
+    REAL(sp) ::  tmp_th           !: 
+    REAL(sp), DIMENSION(:),     ALLOCATABLE   ::  psize  !: 
+    REAL(sp), DIMENSION(:),     ALLOCATABLE   ::  p_x    !: 
+    REAL(sp), DIMENSION(:),     ALLOCATABLE   ::  p_y    !: 
+    REAL(sp), DIMENSION(:),     ALLOCATABLE   ::  p_z    !: 
+    REAL(sp), DIMENSION(:,:,:), ALLOCATABLE   ::  local_pf  !: 
+    REAL(sp), DIMENSION(:,:,:,:), ALLOCATABLE ::  local_pfi !: 
 
 
Index: /palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_mask.f90	(revision 1319)
+++ /palm/trunk/SOURCE/data_output_mask.f90	(revision 1320)
@@ -42,20 +42,4 @@
 ! Bugfix: calculation of pr must depend on the particle weighting factor,
 ! missing calculation of ql_vp added
-!
-! 771 2011-10-27 10:56:21Z heinze
-! +lpt
-!
-! 667 2010-12-23 12:06:00Z suehring/gryschka
-! Calls of exchange_horiz are modified.
-!
-! 564 2010-09-30 13:18:59Z helmke
-! start number of mask output files changed to 201, netcdf message identifiers
-! of masked output changed, palm message identifiers of masked output changed 
-!
-! 493 2010-03-01 08:30:24Z raasch
-! netcdf_format_mask* and format_parallel_io replaced by netcdf_data_format
-!
-! 475 2010-02-04 02:26:16Z raasch
-! Bugfix in serial branch: arguments from array local_pf removed in N90_PUT_VAR
 !
 ! 410 2009-12-04 17:05:40Z letzel
@@ -68,27 +52,63 @@
 
 #if defined( __netcdf )
-    USE arrays_3d
-    USE averaging
-    USE cloud_parameters
-    USE control_parameters
-    USE cpulog
-    USE grid_variables
-    USE indices
+    USE arrays_3d,                                                             &
+        ONLY:  e, p, pt, q, ql, ql_c, ql_v, rho, sa, tend, u, v, vpt, w
+    
+    USE averaging,                                                             &
+        ONLY:  e_av, lpt_av, p_av, pc_av, pr_av, pt_av, q_av, ql_av, ql_c_av,  &
+               ql_v_av, ql_vp_av, qv_av, rho_av, s_av, sa_av, u_av, v_av,      &
+               vpt_av, w_av 
+    
+    USE cloud_parameters,                                                      &
+        ONLY:  l_d_cp, pt_d_t
+    
+    USE control_parameters,                                                    &
+        ONLY:  cloud_physics, domask, domask_no, domask_time_count, mask_i,    &
+               mask_j, mask_k, mask_size, mask_size_l, mask_start_l,           &
+               max_masks, message_string, mid, netcdf_data_format,             &
+               netcdf_output, nz_do3d, simulated_time
+    
+    USE cpulog,                                                                &
+        ONLY:  cpu_log, log_point
+    
+    USE indices,                                                               &
+        ONLY:  nbgp, nxl, nxr, nyn, nys, nzb, nzt
+        
+    USE kinds
+    
     USE netcdf
+    
     USE netcdf_control
-    USE particle_attributes
+    
+    USE particle_attributes,                                                   &
+        ONLY:  particles, prt_count, prt_start_index
+    
     USE pegrid
 
     IMPLICIT NONE
 
-    INTEGER ::  av, ngp, i, if, j, k, n, psi, sender, &
-                ind(6)
-    LOGICAL ::  found, resorted
-    REAL    ::  mean_r, s_r3, s_r4
-    REAL, DIMENSION(:,:,:), ALLOCATABLE ::  local_pf
+    INTEGER(iwp) ::  av       !: 
+    INTEGER(iwp) ::  ngp      !: 
+    INTEGER(iwp) ::  i        !: 
+    INTEGER(iwp) ::  if       !: 
+    INTEGER(iwp) ::  j        !: 
+    INTEGER(iwp) ::  k        !: 
+    INTEGER(iwp) ::  n        !: 
+    INTEGER(iwp) ::  psi      !: 
+    INTEGER(iwp) ::  sender   !: 
+    INTEGER(iwp) ::  ind(6)   !: 
+    
+    LOGICAL ::  found         !: 
+    LOGICAL ::  resorted      !: 
+    
+    REAL(wp) ::  mean_r       !: 
+    REAL(wp) ::  s_r3         !: 
+    REAL(wp) ::  s_r4         !: 
+    
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  local_pf    !:
 #if defined( __parallel )
-    REAL, DIMENSION(:,:,:), ALLOCATABLE ::  total_pf
-#endif
-    REAL, DIMENSION(:,:,:), POINTER ::  to_be_resorted
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  total_pf    !:
+#endif
+    REAL(wp), DIMENSION(:,:,:), POINTER ::  to_be_resorted  !:
 
 !
Index: /palm/trunk/SOURCE/data_output_profiles.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_profiles.f90	(revision 1319)
+++ /palm/trunk/SOURCE/data_output_profiles.f90	(revision 1320)
@@ -20,5 +20,10 @@
 ! Current revisions:
 ! -----------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER declaration statements,
+! kinds are defined in new module kinds,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -42,24 +47,4 @@
 ! 964 2012-07-26 09:14:24Z raasch
 ! code for profil-output removed
-!
-! 345 2009-07-01 14:37:56Z heinze
-! In case of restart runs without extension, initial profiles are not written 
-! to NetCDF-file anymore.
-! simulated_time in NetCDF output replaced by time_since_reference_point.
-! Output of NetCDF messages with aid of message handling routine.
-! Output of messages replaced by message handling routine.
-!
-! 197 2008-09-16 15:29:03Z raasch
-! Time coordinate t=0 stored on netcdf-file only if an output is required for
-! this time for at least one of the profiles
-!
-! February 2007
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! 87 2007-05-22 15:46:47Z raasch
-! var_hom renamed pr_palm
-!
-! Revision 1.18  2006/08/16 14:27:04  raasch
-! PRINT* statements for testing removed
 !
 ! Revision 1.1  1997/09/12 06:28:48  raasch
@@ -72,16 +57,31 @@
 !------------------------------------------------------------------------------!
 
-    USE control_parameters
-    USE cpulog
-    USE indices
+    USE control_parameters,                                                    &
+        ONLY:  average_count_pr, averaging_interval_pr, coupling_start_time,   &
+               dopr_n, dopr_time_count, netcdf_output, normalizing_region,     &
+               time_since_reference_point
+
+    USE cpulog,                                                                &
+        ONLY:  cpu_log, log_point
+
+    USE indices,                                                               &
+        ONLY:  nzb, nzt
+
+    USE kinds
+
     USE netcdf_control
+
     USE pegrid
+
     USE profil_parameter
-    USE statistics
+
+    USE statistics,                                                            &
+        ONLY:  flow_statistics_called, hom, hom_sum, pr_palm, statistic_regions
 
     IMPLICIT NONE
 
 
-    INTEGER ::  i, sr
+    INTEGER(iwp) ::  i  !:
+    INTEGER(iwp) ::  sr !:
 
 !
Index: /palm/trunk/SOURCE/data_output_ptseries.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_ptseries.f90	(revision 1319)
+++ /palm/trunk/SOURCE/data_output_ptseries.f90	(revision 1320)
@@ -20,5 +20,10 @@
 ! Current revisions:
 ! -----------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -36,19 +41,4 @@
 ! mean/minimum/maximum particle radius added as output quantity,
 ! particle attributes speed_x|y|z_sgs renamed rvar1|2|3
-!
-! 622 2010-12-10 08:08:13Z raasch
-! optional barriers included in order to speed up collective operations
-!
-! 291 2009-04-16 12:07:26Z raasch
-! simulated_time in NetCDF output replaced by time_since_reference_point.
-! Output of NetCDF messages with aid of message handling routine.
-!
-! 60 2007-03-11 11:50:04Z raasch
-! Particles-package is now part of the default code.
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.2  2006/08/22 13:51:13  raasch
-! Seperate output for particle groups
 !
 ! Revision 1.1  2006/08/04 14:24:18  raasch
@@ -61,10 +51,23 @@
 !------------------------------------------------------------------------------!
 
-    USE cloud_parameters
-    USE control_parameters
-    USE cpulog
-    USE indices
+    USE cloud_parameters,                                                      &
+        ONLY:  curvature_solution_effects
+
+    USE control_parameters,                                                    &
+        ONLY:  dopts_time_count, netcdf_output, time_since_reference_point
+
+    USE cpulog,                                                                &
+        ONLY:  cpu_log, log_point
+
+    USE indices,                                                               &
+        ONLY:
+
+    USE kinds
+
     USE netcdf_control
-    USE particle_attributes
+
+    USE particle_attributes,                                                   &
+        ONLY:  number_of_particles, number_of_particle_groups, particles
+
     USE pegrid
 
@@ -72,7 +75,11 @@
 
 
-    INTEGER ::  i, inum, j, n
-
-    REAL, DIMENSION(:,:), ALLOCATABLE ::  pts_value, pts_value_l
+    INTEGER(iwp) ::  i    !:
+    INTEGER(iwp) ::  inum !:
+    INTEGER(iwp) ::  j    !:
+    INTEGER(iwp) ::  n    !:
+
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  pts_value   !:
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  pts_value_l !:
 
 
